﻿using SyndicationTest.Models;
using System.Collections.Generic;
using System;
namespace SyndicationTest.Repositories
{
    public class FakeRepository
    {
        public IList<MyFeedItem> GetLatestFeedItems(int id)
        {
            IList<MyFeedItem> items = new List<MyFeedItem>();

            MyFeedItem item1 = new MyFeedItem()
            {
                Id = 1,
                Title = "Feed Item 1",
                Description = "Feed Item 1 Description",
                CreatedBy = "Test User 1",
                DateAdded = DateTime.Now.AddDays(-10)
            };

            MyFeedItem item2 = new MyFeedItem()
            {
                Id = 2,
                Title = "Feed Item 2",
                Description = "Feed Item 2 Description",
                CreatedBy = "Test User 2",
                DateAdded = DateTime.Now.AddDays(-20)
            };

            items.Add(item1);
            items.Add(item2);

            return items;
        }
    }
}
